program OpenALTest;
{$APPTYPE CONSOLE}
//Program TestAL;

Uses AlTypes, AlcTypes, AL, ALc;

Var
  buffer : ALuint;
  source : ALuint;

  device : ALCDevice;
  context : ALCContext;

  test : Array[0..1000] OF Byte;
  z : LongInt;

Begin
  For z := 0 to 1000 Do
    test[z] := Round(100*sin(z*(2*pi)/50.0)+128);
  device := alcOpenDevice('DirectSound3D');
  context := alcCreateContext(device, Nil);
  alcMakeContextCurrent(context);

  alGenBuffers(1, buffer);
  alBufferData(buffer, AL_FORMAT_MONO8, test, 1000, 11024);
  Writeln(alGetError);

  alGenSources(1, source);

  alSourcef(source, AL_PITCH, 1.0);
  alSourcef(source, AL_GAIN, 1.0);
  alSourcei(source, AL_BUFFER, buffer);
  alSourcei(source, AL_LOOPING, AL_TRUE);
  alSourcei(source, AL_BUFFER, buffer);
  Writeln(alGetError);
  alSourcePlay(source);
  Writeln(alGetError);
  Readkey;

  alSourceStop(source);

  alcDestroyContext(context);
  alcCloseDevice(device);
End.
